﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win;
using Infragistics.Win.UltraWinExplorerBar;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form, IUIElementCreationFilter
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            this.ultraExplorerBar1.CreationFilter = this;
        }

        void IUIElementCreationFilter.AfterCreateChildElements(UIElement parent)
        {
            if (parent is UltraExplorerBarGroupHeaderUIElement)
            {
                var imageElement = parent.ChildElements.FirstOrDefault(x => x is ImageUIElement);
                if (imageElement != null)
                {
                    Rectangle rect = imageElement.Rect;
                    rect.Inflate(4, 4);
                    imageElement.Rect = rect;
                }

                var textElement = parent.ChildElements.FirstOrDefault(x => x is TextUIElement);
                if (textElement != null)
                {
                    Rectangle rect = textElement.Rect;
                    rect.X += 4;
                    textElement.Rect = rect;
                }
            }
        }

        bool IUIElementCreationFilter.BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
